Activity
Retrieve the activity feed
Returns the authenticated user’s own email and call activity, newest first, optionally filtered by contact, campaign, or search text. Each item is one email thread or call, reflecting its most recent event, rather than one row per event. When filtered by campaign, LinkedIn and other campaign step activity is included as well. Requires Connect (engage) access.
GET
/
activity
Retrieve the activity feed
curl --request GET \
--url https://api.seamless.ai/api/client/v2/activity \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.seamless.ai/api/client/v2/activity"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.seamless.ai/api/client/v2/activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.seamless.ai/api/client/v2/activity",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.seamless.ai/api/client/v2/activity"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.seamless.ai/api/client/v2/activity")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.seamless.ai/api/client/v2/activity")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": [
{
"activityId": "<string>",
"eventType": "<string>",
"resourceType": "<string>",
"direction": "incoming",
"contactId": "<string>",
"campaignId": "<string>",
"campaignName": "<string>",
"subject": "<string>",
"body": "<string>",
"fromEmail": "<string>",
"toEmail": "<string>",
"sentAt": "2023-11-07T05:31:56Z",
"occurredAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"total": 123,
"limit": 123,
"offset": 123,
"hasMore": true
}
}{
"msg": "<string>",
"code": "<string>"
}{
"msg": "<string>",
"code": "<string>"
}{
"msg": "<string>",
"code": "<string>"
}{
"msg": "<string>",
"code": "<string>"
}{
"msg": "<string>",
"code": "<string>"
}Authorizations
OAuth2ApiKeyAuth
Query Parameters
Was this page helpful?
⌘I
Retrieve the activity feed
curl --request GET \
--url https://api.seamless.ai/api/client/v2/activity \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.seamless.ai/api/client/v2/activity"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.seamless.ai/api/client/v2/activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.seamless.ai/api/client/v2/activity",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.seamless.ai/api/client/v2/activity"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.seamless.ai/api/client/v2/activity")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.seamless.ai/api/client/v2/activity")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": [
{
"activityId": "<string>",
"eventType": "<string>",
"resourceType": "<string>",
"direction": "incoming",
"contactId": "<string>",
"campaignId": "<string>",
"campaignName": "<string>",
"subject": "<string>",
"body": "<string>",
"fromEmail": "<string>",
"toEmail": "<string>",
"sentAt": "2023-11-07T05:31:56Z",
"occurredAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"total": 123,
"limit": 123,
"offset": 123,
"hasMore": true
}
}{
"msg": "<string>",
"code": "<string>"
}{
"msg": "<string>",
"code": "<string>"
}{
"msg": "<string>",
"code": "<string>"
}{
"msg": "<string>",
"code": "<string>"
}{
"msg": "<string>",
"code": "<string>"
}